package org.mynonglam.entitys;

import java.io.Serializable;
import javax.persistence.*;

/**
 * The primary key class for the groupstatuslike database table.
 * 
 */
@Embeddable
public class GroupStatusLikePK implements Serializable {
	//default serial version id, required for serializable classes.
	private static final long serialVersionUID = 1L;

	private String idgstatus;

	private String email;

	private String idgroup;

	public GroupStatusLikePK() {
	}
	public String getIdgstatus() {
		return this.idgstatus;
	}
	public void setIdgstatus(String idgstatus) {
		this.idgstatus = idgstatus;
	}
	public String getEmail() {
		return this.email;
	}
	public void setEmail(String email) {
		this.email = email;
	}
	public String getIdgroup() {
		return this.idgroup;
	}
	public void setIdgroup(String idgroup) {
		this.idgroup = idgroup;
	}

	public boolean equals(Object other) {
		if (this == other) {
			return true;
		}
		if (!(other instanceof GroupStatusLikePK)) {
			return false;
		}
		GroupStatusLikePK castOther = (GroupStatusLikePK)other;
		return 
			this.idgstatus.equals(castOther.idgstatus)
			&& this.email.equals(castOther.email)
			&& this.idgroup.equals(castOther.idgroup);
	}

	public int hashCode() {
		final int prime = 31;
		int hash = 17;
		hash = hash * prime + this.idgstatus.hashCode();
		hash = hash * prime + this.email.hashCode();
		hash = hash * prime + this.idgroup.hashCode();
		
		return hash;
	}
}